﻿using C1.WPF.Core;
using C1.WPF.Grid;
using C1.WPF.Menu;
using C1.WPF.Themes;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ContentMenuItemSpaceFG
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Item> List;
        public MainWindow()
        {
            InitializeComponent();
            List = new ObservableCollection<Item>();
            List.Add(new Item() { UserName = "Pippo", FullName = "Pippo", Language = "Italiano" });
            List.Add(new Item() { UserName = "Pluto", FullName = "Pluto", Language = "English" });
            List.Add(new Item() { UserName = "Minnie", FullName = "Minnie", Language = "Italiano" });
            List.Add(new Item() { UserName = "Topolino", FullName = "Topolino", Language = "Francais" });
            grid.ItemsSource = List;
            grid.ShowSelectionMenu = false;
            grid.CellTapped += (s, e) =>
            {
                if (e.Event.IsRightTapped)
                {
                    var hitTest = grid.HitTest(e.Event.OriginalEventArgs);
                    if (hitTest.CellType == GridCellType.Cell)
                    {
                        var contextMenu = new C1ContextMenu();
                        contextMenu.Items.Add(new C1MenuItem
                        {
                            IconTemplate = null,
                            Header = "AddItem",
                        });
                        contextMenu.Items.Add(new C1MenuItem
                        {
                            IconTemplate = null,
                            Header = "RemoveItem",
                        });
                        contextMenu.Show(e.Event.OriginalEventArgs.OriginalSource as FrameworkElement);
                    }
                }
            };
            C1Theme.ApplyTheme(grid, new C1ThemeMaterialDark());
        }

        public class Item
        {
            public string UserName { get; set; }
            public string FullName { get; set; }
            public string Language { get; set; }

        }

    }
}
